Skip to content
Download OpenAPI description
Languages
Servers
Mock server

https://docs.zimark.link/_mock/api/

https://api.zimark-staging.link/

https://api.zimark.link/

Calibration Integration

External API for integration systems with token-based authentication

Operations

Manifest

API endpoints for managing manifests and their associated assets/tracks.

A manifest is a container that groups assets/pallets for tracking purposes.

Operations

Request

Updates an existing manifest's assets and/or custom fields.This update endpoint uses a declarative updates, meaning Zimark will automatically handle deleting, adding, or updating assets and/or custom fields for you.

For updating other properties like status and gate assignment, use the specific endpoints.

Security
X-AUTH-KEY
Path
manifestExternalIdstringrequired

Unique external id of the manifest. AnE eternal id is often an id based on the WMS Zimark is integrated with, e.g. an order id.

Example: MAN-2024-001
Bodyapplication/jsonrequired
assetsArray of strings

Optional list of asset (track) identifiers to set or update for the manifest.

customFieldsArray of objects(ManifestCustomFieldV1Dto)

Optional custom fields to set or update for the manifest.

curl -i -X PUT \
  https://docs.zimark.link/_mock/api/integration/rest/api/v1/manifest/MAN-2024-001 \
  -H 'Content-Type: application/json' \
  -H 'X-AUTH-KEY: YOUR_API_KEY_HERE' \
  -d '{
    "assets": [
      "string"
    ],
    "customFields": [
      {
        "fieldKey": "string",
        "fieldValue": "string"
      }
    ]
  }'

Responses

OK

Request

Security
X-AUTH-KEY
Path
manifestExternalIdstringrequired

Unique external id of the manifest. External id is often an id based on the WMS Zimark is integrated with, e.g. an order id.

Example: MAN-2024-001
curl -i -X DELETE \
  https://docs.zimark.link/_mock/api/integration/rest/api/v1/manifest/MAN-2024-001 \
  -H 'X-AUTH-KEY: YOUR_API_KEY_HERE'

Responses

Ok

Request

Retrieves a paginated list of manifests with optional filtering by status and gate. Supports sorting and pagination through query parameters.

Security
X-AUTH-KEY
Query
manifestStatusesArray of strings
Items Enum"PLANNED""TO_DO""IN_PROGRESS""COMPLETED""CANCELLED"
gateUuidstring
qstring
createDateAfterinteger(int64)
createDateBeforeinteger(int64)
pageNumberinteger(int32)

Page number (1-based)

pageSizeinteger(int32)<= 100

Page size

sort.sortBystring

Sorting field

sort.directionstring

Sorting direction

Enum"ASC""DESC"
curl -i -X GET \
  'https://docs.zimark.link/_mock/api/integration/rest/api/v1/manifest?manifestStatuses=PLANNED&gateUuid=string&q=string&createDateAfter=0&createDateBefore=0&pageNumber=0&pageSize=100&sort.sortBy=string&sort.direction=ASC' \
  -H 'X-AUTH-KEY: YOUR_API_KEY_HERE'

Responses

Ok

Body*/*
contentArray of objects(ManifestV1Dto)
pageRequestobject(PageRequest)
totalElementsinteger(int32)
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations
Operations